<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width">
        <title>Javascript tests</title>
        <link rel="stylesheet" href="qunit-2.6.1.css">
    </head>
    <body>
        <div id="qunit"></div>
        <div id="qunit-fixture">
            <form>
                <input name="text" />
                <div class="has-error">Error text</div>
            </form>
        </div>

        <script src="../jquery-3.3.1.min.js"></script>
        <script src="../list.js"></script>
        <script src="qunit-2.6.1.js"></script>

        <script>
        QUnit.test("errors should be hidden on keypress", function (assert){
            window.Tutorial.initialize();
            $('input[name="text"]').trigger('keypress');
            assert.equal($('.has-error').is(':visible'), false);
        });

        QUnit.test("errors aren't hidden if there is no keypress", function (assert){
            window.Tutorial.initialize();
            assert.equal($('.has-error').is(':visible'), true);
        });
        </script>
    </body>
</html>